Skip to main content

Get All Link Hazards

GET 

/regions/:region/hazards

This method allows you to get the estimated or predicted hazard of all Links in a region at a particular time.

Getting estimated hazard

You need to set time to a present or past time, and set the minutes_ahead parameter to 0.

Getting predicted hazard

You can set time to a time in the future up to 3 hours ahead.

If you leave minutes_ahead undefined, it will select the best prediction to use. For example, if you select a time 2 hours from the current time, the best prediction would be the 120-minute prediction, hence minutes_ahead is automatically set to 120.

IMPORTANT: Note that time should be the time when the value should happen.

Suppose you set minutes_ahead to 120 and set time to the current time. The response is NOT the predicted hazard 2 hours from now. Instead, it is the hazard prediction at current time predicted 2 hours ago.

Request

Responses

Successful Response